body {
    background-color: #fffff;
    padding: 0;
}

        /* Style de la bande supérieure */

        
        .top-bar {
    background-color: #e038a6; /* Couleur orange */
    color: white;
    text-align: center;
    padding: 5px 0;
    font-size: 16px;
    font-weight: bold;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100; /* Pour rester au-dessus */
    display: flex;
    flex-direction: column;
    align-items: center;
    transition: top 0.1s ease; /* Transition pour l'animation */
}

        
        
        

/* Ligne du haut */
.top-text {
    font-size: 16px;
    font-weight: bold;
}

/* Ligne du bas */
.bottom-text {
    font-size: 20px;
    font-weight: bold;
    margin-top: -3px; /* Ajuste l'espace entre les lignes */
}
        /* Style de la barre de navigation */
        .navbar {
            display: flex;
            align-items: center;
            justify-content: space-between;
            background-color: #f8f8f8;
            padding: 5px 15px;
            position: relative;
            top: 65px;
            left: 0;
            right: 0;
            height: 60px;
            border-radius: 50px;
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
        }

        .menu-icon {
            font-size: 30px;
            cursor: pointer;
            
        }
        
        


        .logo {
            height: 110px;
            width: 200px /* Ajuste la hauteur de ton logo */
        }
        
         /* Style du menu latéral */
        .menu {
            position: fixed;
            top: 0;
            left: -250px; /* Caché au départ */
            width: 250px;
            height: 100vh;
            background-color: #070619;
            color: white;
            margin-top:0;
            z-index: 1002;
            padding-top: 50px;
            transition: left 0.3s
            ease-in-out; /* Animation fluide */
        }

        .menu a {
            display: block;
            color: white;
            text-decoration: none;
            padding: 15px;
            font-size: 18px;
        }
        

        .menu a:hover {
            background-color: #575757;
        }

        
        /* Bouton pour fermer */
        .close-btn {
            position: absolute;
            top: 10px;
            right: 15px;
            font-size: 30px;
            cursor: pointer;
        }
        
        /* Style du lien Connexion en bas du menu */
.connexion-link {
    position: absolute;
    bottom: 50px; /* Positionne le lien au pied du menu */
    width: 220px;
    padding: 15px;
    font-size: 18px;
    font-weight: bold;
    background-color: #444; /* Couleur de fond */
    color: white;
    text-align: center;
    text-decoration: none;
}

.connexion-link:hover {
    background-color: #575757; /* Couleur au survol */
}
 /*le pied de la page d'accueil*/
footer {
    text-align: center;
    padding: 20px;
    background-color: black; /* Fond léger */
    position: relative;
    bottom: 0;
    left: 0;
    right: 0;
    font-size: 16px;
    color: #333;
}

footer p {
    margin: 10px 0;
    color: white;
}

.lido {
    color: #000; /* Lido en noir */
    font-weight: bold;
}

#afooter a{
    text-decoration: none;
    color : black;
    opacity: 0.9;
    font-size: 14px;
    color : white;
}

.select {
    color: #000; /* Select en bleu */
    font-weight: bold;
}

.social-links {
    margin-top: 10px;
}

.social-icon {
    margin: 0 15px;
    font-size: 30px;
    text-decoration: none;
    color: #333;
}

.social-icon:hover {
    color: #007BFF; /* Change la couleur au survol */
}


  /*Besoin d'aide ?*/
  
        
       <!-- besoin d'aide?-->
        #support-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    text-align: center;
    z-index: 1000;
}

#support-button button {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 12px 18px;
    font-size: 16px;
    border-radius: 50px;
    cursor: pointer;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.2);
}

#support-options {
    display: none;
    background: white;
    position: absolute;
    bottom: 350px;
    right: 10px;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.2);
}

#support-options a {
    display: block;
    text-decoration: none;
    padding: 10px;
    color: black;
    font-weight: bold;
    border-radius: 5px;
}

#support-options a:hover {
    background-color: #f1f1f1;
}
   



/* Contenu principal */
.container {
    position : relative ;
    left: 0;
    right: 0;
    text-align: center;
    border-radius: 15px;
}

.input-group {
    margin-bottom: 15px;
    text-align: center;
  position : relative ;
    left: 0;
    right: 0;
}

.input-group input {
    border: 1px solid #ddd;
    border-radius: 5px;
    width: 90%;
    text-align: center;
    position : relative ;
    left: 0;
    right: 0;
    padding: 10px 5px;
    
}

.btn {
    background: #1abc9c;
    color: white;
    padding: 10px 5px;
    margin: 5px 20px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    text-align:center;
    font-size:18px;
}
#profil-form {
    text-align: center;
    margin-bottom: 35px;
    display : flex;
    flex-direction: column;
    position: relative ;
    left: 0;
    right: 0;
}



.profile-picture {
    text-align: center;
    margin-bottom: 20px;
    text-align:center;
    display : flex;
    flex-direction: column;
    position: relative ;
    left: 0;
    right: 0;
}


.profile-picture img {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    border: 2px solid #ddd;
    object-fit: cover;
    text-align: center;
    margin: 10px 40%;
}

.profile-navBar img {
    width: 53px;
    height: 53px;
    border-radius: 50%;
    border: 2px solid #ddd;
    object-fit: cover;
    text-align: center;
    position : relative ;
    top: 3px;
    right: 5px;
    left: calc(100%-60px);
}

.profile-picture input {
    display: block;
    text-align:center;
    position : relative ;
    left: 0;
    right: 0;
    padding: 10px 10px;
    width: 90%;
    margin:10px 5px;
    background-color: white;
}

.profile-picture button {
    background: #1abc9c;
    color: white;
    border: none;
    margin: 10px 20px;
    padding: 10px 5px;
    cursor: pointer;
    border-radius: 20px;
    text-align:center;
    font-size:18px;
}


/*caher et ouvrir les informations à mettre à jour*/
#parametres {
    display: none; /* Caché par défaut */
    background-color: #007bff;
    border-radius: 15px;
    position : relative ;
    left: 0;
    right: 0;
    text-align:center;
}




#touslesdetails {
 position: relative ;
  margin: 10px auto;     /* centre horizontalement */
  padding: 3px;
  border: 1px solid #fffff;
  border-radius: 12px;
  background: #fffff;
  max-width: 500px;      /* largeur max sur PC */
  width: 100%;           /* occupe toute la largeur sur mobile */
  box-sizing: border-box;/* pour inclure les bordures dans la largeur */
  height: auto;
}
